package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.PolicyGuide;

/**
 * 政策指南Service接口
 * 
 * @author boman
 * @date 2022-06-16
 */
public interface IPolicyGuideService 
{
    /**
     * 查询政策指南
     * 
     * @param policyId 政策指南主键
     * @return 政策指南
     */
    public PolicyGuide selectPolicyGuideByPolicyId(Long policyId);

    /**
     * 查询政策指南列表
     * 
     * @param policyGuide 政策指南
     * @return 政策指南集合
     */
    public List<PolicyGuide> selectPolicyGuideList(PolicyGuide policyGuide);

    /**
     * 新增政策指南
     * 
     * @param policyGuide 政策指南
     * @return 结果
     */
    public int insertPolicyGuide(PolicyGuide policyGuide);

    /**
     * 修改政策指南
     * 
     * @param policyGuide 政策指南
     * @return 结果
     */
    public int updatePolicyGuide(PolicyGuide policyGuide);

    /**
     * 批量删除政策指南
     * 
     * @param policyIds 需要删除的政策指南主键集合
     * @return 结果
     */
    public int deletePolicyGuideByPolicyIds(Long[] policyIds);

    /**
     * 删除政策指南信息
     * 
     * @param policyId 政策指南主键
     * @return 结果
     */
    public int deletePolicyGuideByPolicyId(Long policyId);
}
